> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mycreditapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get extracted financial documents for private record

> Retrieve all extracted financial documents associated with a specific private record.
    #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
    | Guest | Host | Self |
    |-------|------|------|
    | ❌    | ❌   | ✅  |



## OpenAPI

````yaml /content/developer-guide/api-reference/openapi_v1.json get /private-records/{record_id}/documents
openapi: 3.1.0
info:
  title: API - V1
  version: 1.0.0
servers:
  - url: https://api.mycreditapp.ai/v1-beta
security: []
paths:
  /private-records/{record_id}/documents:
    get:
      tags:
        - Private Record Documents
      summary: Get extracted financial documents for private record
      description: >-
        Retrieve all extracted financial documents associated with a specific
        private record.
            #### [Authorization scenarios](/content/developer-guide/introduction/authorization#scenarios)
            | Guest | Host | Self |
            |-------|------|------|
            | ❌    | ❌   | ✅  |
      operationId: >-
        get_private_records_financial_documents_private_records__record_id__documents_get
      parameters:
        - name: record_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: >-
              Unique identifier of the [private
              record](https://docs.mycreditapp.ai/api-reference/private-records/get-private-records)
            examples:
              - b25e7b65-e46a-40d5-a0f2-0de8c2b354aa
            title: Record Id
          description: >-
            Unique identifier of the [private
            record](https://docs.mycreditapp.ai/api-reference/private-records/get-private-records)
        - name: file_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            description: Filter documents by specific financial file ID
            examples:
              - a1b2c3d4-5678-90ab-cdef-1234567890ab
            title: File Id
          description: Filter documents by specific financial file ID
        - name: document_types
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                uniqueItems: true
                items:
                  $ref: '#/components/schemas/DocumentType'
              - type: 'null'
            description: Filter by document types
            title: Document Types
          description: Filter by document types
        - name: period_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Filter documents from this period (inclusive)
            examples:
              - '2025-01-01'
            title: Period From
          description: Filter documents from this period (inclusive)
        - name: period_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Filter documents up to this period (inclusive)
            examples:
              - '2025-03-31'
            title: Period To
          description: Filter documents up to this period (inclusive)
        - name: analysis_status
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            description: Filter documents by analysis status
            title: Analysis Status
          description: Filter documents by analysis status
        - name: order_by
          in: query
          required: false
          schema:
            enum:
              - created_at
              - updated_at
              - period
            type: string
            description: Field to order the results by
            default: created_at
            title: Order By
          description: Field to order the results by
        - name: order_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: Order direction
            default: desc
            title: Order Dir
          description: Order direction
        - name: limit
          in: query
          required: true
          schema:
            type: integer
            maximum: 100
            exclusiveMinimum: 0
            description: Maximum number of items to return
            examples:
              - 10
              - 20
              - 50
            title: Limit
          description: Maximum number of items to return
        - name: offset
          in: query
          required: true
          schema:
            type: integer
            minimum: 0
            description: Number of items to skip for pagination
            examples:
              - 0
              - 10
              - 20
            title: Offset
          description: Number of items to skip for pagination
        - name: Requester-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: |

              The unique identifier of the organization making the request.
              **This ID is used to authorize the requester within the system**.
            examples:
              - 054b4106-174b-46b0-97f8-86d8d7b6f0af
            title: Requester-Organization-Id
          description: |

            The unique identifier of the organization making the request.
            **This ID is used to authorize the requester within the system**.
        - name: Target-Organization-ID
          in: header
          required: true
          schema:
            type: string
            format: uuid
            description: >

              The unique identifier of the organization that is the target of
              the request.

              The `Target-Organization-ID` may match the
              `Requester-Organization-ID` if the requester accesses their own
              resources.

              If the `Target-Organization-ID` differs from the
              `Requester-Organization-ID`, the requester can access third-party
              resources **if the requester has a connection with the target
              organization and is authorized to perform such actions**.
            examples:
              - 123e4567-e89b-12d3-a456-426614174000
            title: Target-Organization-Id
          description: >

            The unique identifier of the organization that is the target of the
            request.

            The `Target-Organization-ID` may match the
            `Requester-Organization-ID` if the requester accesses their own
            resources.

            If the `Target-Organization-ID` differs from the
            `Requester-Organization-ID`, the requester can access third-party
            resources **if the requester has a connection with the target
            organization and is authorized to perform such actions**.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PrivateRecordFinancialDocumentList'
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Unsupported CRUD operation!
                    type: request
                    code: unsupported_crud_operation
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Token is required!
                    type: token
                    code: token_required
                  - loc: []
                    msg: The token has expired!
                    type: token
                    code: token_expired
                  - loc: []
                    msg: Invalid token!
                    type: token
                    code: invalid_token
        '403':
          description: Forbidden
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Access denied!
                    type: request
                    code: access_denied
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Not Found
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: Account not found!
                    type: request
                    code: account_not_found
                  - loc: []
                    msg: Organization not found!
                    type: request
                    code: organization_not_found
                  - loc: []
                    msg: Private record not found!
                    type: request
                    code: private_record_not_found
              schema:
                $ref: '#/components/schemas/APIError'
        '409':
          description: Conflict
          content:
            application/json:
              example:
                detail:
                  - loc: []
                    msg: >-
                      The account is in the process of being deleted! The
                      Account's email can only be reused after its data has been
                      completely deleted. The removal process may take up to 24
                      hours.
                    type: request
                    code: account_being_deleted
                  - loc: []
                    msg: >-
                      The organization is in the process of being deleted! The
                      removal process may take up to 24 hours.
                    type: request
                    code: organization_being_deleted
              schema:
                $ref: '#/components/schemas/APIError'
        '413':
          description: Request Entity Too Large
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: The request is too large!
                    type: request
                    code: request_too_large
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc:
                      - string
                      - 0
                    msg: string
                    type: string
                    code: validation_error
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Error processing request, please try later!
                    type: try_later
                    code: internal_conflict_error
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
              example:
                detail:
                  - loc: []
                    msg: Service is under maintenance, please try later!
                    type: maintanance
                    code: service_under_maintenance
      security:
        - Token: []
components:
  schemas:
    DocumentType:
      type: string
      enum:
        - balance_sheet
        - income_statement
        - cashflow_statement
      title: DocumentType
    PrivateRecordFinancialDocumentList:
      properties:
        items:
          items:
            $ref: '#/components/schemas/PrivateRecordFinancialDocument'
          type: array
          title: Items
          description: List of financial documents
        total_items:
          type: integer
          minimum: 0
          title: Total Items
          description: Total number of financial documents
          examples:
            - 1
            - 20
            - 50
      type: object
      required:
        - items
        - total_items
      title: PrivateRecordFinancialDocumentList
    APIError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Detail
          description: >

            List of returned errors.

            **All unsuccessful error codes except code `422` can only contain 1
            element in the list**.
      type: object
      required:
        - detail
      title: APIError
    PrivateRecordFinancialDocument:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Unique identifier of the financial document
          examples:
            - f3d7a1c2-5b6d-4f0e-8d2f-9a8b3b1f2c0d
        file_id:
          type: string
          format: uuid
          title: File Id
          description: ID of the associated financial file
          examples:
            - a1b2c3d4-5678-90ab-cdef-1234567890ab
        original_filename:
          type: string
          maxLength: 255
          title: Original Filename
          description: Original filename of the uploaded document
          examples:
            - balance_sheet_q1_2025.pdf
        document_type:
          $ref: '#/components/schemas/DocumentType'
          description: Type of the document
        period:
          type: string
          format: date
          title: Period
          description: Reporting period of the document
          examples:
            - '2025-03-31'
        analysis:
          type: boolean
          title: Analysis
          description: Whether the document has been analyzed
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the document record was created
          examples:
            - '2025-04-01T12:00:00.123456'
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the document record was last updated
          examples:
            - '2025-04-02T08:30:00.123456'
      type: object
      required:
        - id
        - file_id
        - original_filename
        - document_type
        - period
        - analysis
        - created_at
        - updated_at
      title: PrivateRecordFinancialDocument
    ErrorItem:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Loc
          description: |

            Shows the dynamic location of the current error.
            If an empty array is returned, the error is static.
          examples:
            - - body
              - date_field
              - 0
            - - header
              - Authorization
        msg:
          type: string
          title: Msg
          description: |

            A human-readable message providing more details about the error.
          examples:
            - Token is required!
            - Invalid token!
        type:
          type: string
          title: Type
          description: >

            A string indicating the type of error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible type for a specific error**.
          examples:
            - token
            - request
            - try_later
        code:
          type: string
          title: Code
          description: >

            Unique text error code identifying the error.

            **The list is not fixed, so it's necessary to pay attention to the
            possible code for a specific error**.
          examples:
            - token_required
            - invalid_token
            - access_denied
      type: object
      required:
        - loc
        - msg
        - type
        - code
      title: ErrorItem
  securitySchemes:
    Token:
      type: http
      description: >-
        [Bearer
        authentication](/content/developer-guide/introduction/authentication)
        using a JWT token. Provide a valid access token. Authorization header
        format: `Authorization: Bearer <token>`.
      scheme: bearer

````